package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type DocumentGetprintcountRequest struct {
	// <ext>core:true;format:string</ext> 【签署文档id】签署文档id 【作用】 查询需要获取已打印次数的签署文档
	DocumentId *int64 `json:"documentId,omitempty"`
}

func (obj DocumentGetprintcountRequest) GetUrl() string {
	return "/document/getprintcount"
}

func (obj DocumentGetprintcountRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("documentId", obj.DocumentId)
	return parameter
}
